Google Chrome Vulnerabilities

Published On: April 25, 2024Categories: Cyber Alerts

In today’s SensCy Cyber Alert, your SensCy team recommends Google Chrome Browser users to install the new Chrome Version 124 immediately. The new update patches 4 vulnerabilities, including a critical vulnerability

The critical vulnerability can be tracked as CVE-2024-4058, and is described as a type confusion bug in the ANGLE graphics layer engine. It can be exploited remotely for arbitrary code execution or sandbox escapes with limited user interaction.

Below are the new available updates:
Chrome 124.0.6367.78 for Windows and macOS Chrome 124.0.6367.78 for Linux.

How to check for new updates:
For new Google Chrome updates, follow these steps:
1). On your computer, open Chrome
2). At the top right, click the ellipsis
3). Click Help and then About Google Chrome
4). Click Update Google Chrome

Important: If your Chrome browser is up-to-date, you will see a blue check mark and the words “Chrome is up to date.”

If you need additional assistance, use this Google Chrome link.

Related Posts